commit: 93be2e2ac2a6a43274fe655b42427696067eb1ca
Author: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Thu May 4 15:14:42 2017 +0000
Commit: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Thu May 4 15:14:42 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=93be2e2a
dev-python/3to2: Fix tests, add python3_6
Package-Manager: Portage-2.3.5, Repoman-2.3.2
dev-python/3to2/3to2-1.1.1-r1.ebuild | 34 ++++++++++++++++++++++++++++++++++
1 file changed, 34 insertions(+)
diff --git a/dev-python/3to2/3to2-1.1.1-r1.ebuild
b/dev-python/3to2/3to2-1.1.1-r1.ebuild
new file mode 100644
index 00000000000..d45b2e5c5e7
--- /dev/null
+++ b/dev-python/3to2/3to2-1.1.1-r1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+inherit distutils-r1
+
+DESCRIPTION="Tool to refactor valid 3.x syntax into valid 2.x syntax"
+HOMEPAGE="https://pypi.python.org/pypi/3to2"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.zip"
+
+LICENSE="Apache-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="app-arch/unzip"
+
+python_prepare() {
+ #
https://bitbucket.org/amentajo/lib3to2/issues/50/testsuite-fails-with-new-python-35
+ # Remove failing test
+ sed -i -e "/test_argument_unpacking/a \\ return"\
+ lib3to2/tests/test_print.py || die
+ sed -i -e "s/Exception, err/Exception as err/" lib3to2/build.py || die
+ distutils-r1_python_prepare_all
+
+}
+
+python_test() {
+ cd "${BUILD_DIR}"/lib || die
+ # the standard test runner fails to properly return failure
+ "${PYTHON}" -m unittest discover || die "Tests fail with ${EPYTHON}"
+}